#
# spec file for package ocaml-curses
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ocaml-curses
Version:        1.0.11
Release:        2.4
%{?ocaml_preserve_bytecode}
Summary:        OCaml bindings for ncurses
License:        LGPL-2.1+
Group:          Development/Languages/OCaml
Url:            https://opam.ocaml.org/packages/curses
Source0:        %name-%version.tar.xz
BuildRequires:  ncurses-devel
BuildRequires:  ocaml
BuildRequires:  ocaml-dune >= 2.7
BuildRequires:  ocaml-rpm-macros >= 20231101
BuildRequires:  ocamlfind(dune-configurator)
BuildRequires:  ocamlfind(unix)
BuildRequires:  pkg-config

%description
OCaml bindings for ncurses.

%package        devel
Summary:        Development files for %name
Group:          Development/Languages/OCaml
Requires:       %name = %version
Requires:       ncurses-devel

%description    devel
The %name-devel package contains libraries and signature files for
developing applications that use %name.

%prep
%autosetup -p1

%build
dune_release_pkgs='curses'
%ocaml_dune_setup
%ocaml_dune_build

%install
%ocaml_dune_install
%ocaml_create_file_list

%check
dune_test_tolerate_fail='dune_test_tolerate_fail'
%ocaml_dune_test

%files -f %name.files

%files devel -f %name.files.devel

%changelog
* Tue Jan 16 2024 ohering@suse.de
- Remove usage of dune.configurator because ocamlfind names which
  contain a dot are not considered valid anymore with dune 3.13
* Fri Mar  3 2023 ohering@suse.de
- Update to version 1.0.11
  see included CHANGES.md for details
* Fri Nov 26 2021 ohering@suse.de
- Update to version 1.0.10
* Sun Oct 10 2021 ohering@suse.de
- Update to version 1.0.9
  new upstream
* Fri Nov  1 2019 ohering@suse.de
- Require current dune macros
- Update to version 1.0.4, via _service file
- Remove curses.const.patch
- Remove curses.getsyx.patch
* Wed Oct  9 2019 ohering@suse.de
- use macros from ocaml-rpm-macros
* Tue Jul 25 2017 ohering@suse.de
- Use Group: Development/Languages/OCaml
* Mon Jul 17 2017 ohering@suse.de
- Wrap specfile conditionals to fix quilt setup
* Mon Jul 17 2017 ohering@suse.de
- Remove autodeps for pre openSUSE 12.1 releases
* Wed May 31 2017 olaf@aepfle.de
- Replace tabs with spaces in generated _oasis file
* Wed May 10 2017 ohering@suse.de
- use oasis instead of autotools to fix bytecode (bsc#1031359)
  add curses.const.patch
  add curses.getsyx.patch
* Mon May 30 2016 ohering@suse.de
- Fix build with ocaml-4.03 (fate#320836)
  reenable all archs
* Tue Nov 10 2015 ohering@suse.de
- Add hardcoded Provides for pre 12.1 repos
* Wed Sep 16 2015 mlatimer@suse.com
- Exclude s390x architecture
* Mon Dec  8 2014 mlatimer@suse.com
- Update spec file to use ocaml-rpm-macros, remove
  ExclusiveArch, and ensure bytecode is built
* Fri Dec  5 2014 mlatimer@suse.com
- Initial commit using upstream version 1.0.3
